package com.smppw.common.pojo.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author lzj
 *
 */
@Data
public class DateValue implements Value, Comparable<DateValue> {
	private String date;
	private Double value;
	private Integer isvalid;

	private BigDecimal originalNav;

	private BigDecimal cumulativeNav;

	private BigDecimal cumulativeNavWithdrawal;

	public BigDecimal getOriginalNav() {
		return originalNav;
	}

	public void setOriginalNav(BigDecimal originalNav) {
		this.originalNav = originalNav;
	}

	public BigDecimal getCumulativeNav() {
		return cumulativeNav;
	}

	public void setCumulativeNav(BigDecimal cumulativeNav) {
		this.cumulativeNav = cumulativeNav;
	}

	public BigDecimal getCumulativeNavWithdrawal() {
		return cumulativeNavWithdrawal;
	}

	public void setCumulativeNavWithdrawal(BigDecimal cumulativeNavWithdrawal) {
		this.cumulativeNavWithdrawal = cumulativeNavWithdrawal;
	}

	public DateValue() {
	}

	public DateValue(String date, Double value) {
		this.date = date;
		this.value = value;
	}

	public Integer getIsvalid() {
		return isvalid;
	}

	public void setIsvalid(Integer isvalid) {
		this.isvalid = isvalid;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public Double getValue() {
		return value;
	}

	public void setValue(Double value) {
		this.value = value;
	}

	@Override
	public int compareTo(DateValue o) {
		return this.getDate().compareTo(o.getDate());
	}
}
